Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.selenium.condition
Interface DefaultConditionRunner.Monitor

All Known Implementing Classes:
  DefaultConditionRunner.Log4jMonitor, DefaultConditionRunner.NoOpMonitor

Enclosing class:
  DefaultConditionRunner

    public static interface DefaultConditionRunner.Monitor

A `DefaultConditionRunner.Monitor` can be installed in `DefaultConditionRunner` as an open ended way of being notified of certain events.

Method Summary
`void` | `conditionFailed(ConditionRunner.Context context, Condition condition, java.lang.String message)`
`void` | `conditionWasReached(ConditionRunner.Context context, Condition condition)` Called whenever a `DefaultConditionRunner.waitFor(Condition)` is successful (i.e.
`void` | `waitHasBegun(ConditionRunner.Context context, Condition condition)` Called whenever a `DefaultConditionRunner.waitFor(Condition)` has begun, and is being tracked with the given `condition`.

Method Detail

### waitHasBegun

    void waitHasBegun(ConditionRunner.Context context,
                      Condition condition)

  Called whenever a `DefaultConditionRunner.waitFor(Condition)` has begun, and is being tracked with the given `condition`.

### conditionWasReached

    void conditionWasReached(ConditionRunner.Context context,
                             Condition condition)

  Called whenever a `DefaultConditionRunner.waitFor(Condition)` is successful (i.e. `Condition.isTrue(com.thoughtworks.selenium.condition.ConditionRunner.Context)` returned true within the timeout}.

### conditionFailed

    void conditionFailed(ConditionRunner.Context context,
                         Condition condition,
                         java.lang.String message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.